<% if (section === 'css') { %>
<style>
  .page[page=stopwatch] {
    width: 100%;
    height: 100%;
    font-weight: bold;
    text-align: center;
  }

  #stopwatch-time {
    width: 100%;
    height: 100%;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="stopwatch">
  <div id="stopwatch-time" class="text-fit"></div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const stopwatchTimer = new Timer(100, 'up', (time) => {
    document.getElementById('stopwatch-time').innerHTML = `${Math.floor(time / 60)}:${Math.floor(time % 60).pad(2)}.${Math.floor(time % 1 * 10)}`
    fitText(document.querySelectorAll('.page[page=stopwatch] .text-fit'))
  })

  registerCommand('stopwatch', 'time', (data) => {
    stopwatchTimer.setTime(data.time)

    if (data.running) {
      stopwatchTimer.start()
    } else {
      stopwatchTimer.stop()
    }
  })
</script>
<% } %>
